#include <iostream>

using namespace std;

int main()
{
    long long int x, y, xOstatak, yOstatak, brojac = 10, konacanBrojac = 1, konacanBroj = 0, oduzimanje = 0;
    cin >> x;
    cin >> y;
    while(true)
    {
        if(x == 0)
        {
            xOstatak = -1;
        }
        else
        {
            xOstatak = x%brojac;
            if(xOstatak > 9)
            {
                xOstatak /= brojac/10;
            }
        }
        if(y == 0)
        {
            yOstatak = -1;
        }
        else
        {
            yOstatak = y%brojac;
            if(yOstatak > 9)
            {
                yOstatak /= brojac/10;
            }
        }
        if(xOstatak > yOstatak)
        {
            if(xOstatak > 0)
            {
                konacanBroj += xOstatak*konacanBrojac;
                konacanBrojac *= 10;
            }
            else
            {
                konacanBroj += konacanBrojac;
                oduzimanje += konacanBrojac;
                konacanBrojac *= 10;
            }
        }
        else if(xOstatak < yOstatak)
        {
            if(yOstatak > 0)
            {
                konacanBroj += yOstatak*konacanBrojac;
                konacanBrojac *= 10;
            }
            else
            {
                konacanBroj += konacanBrojac;
                oduzimanje += konacanBrojac;
                konacanBrojac *= 10;
            }
        }
        else if(xOstatak == yOstatak)
        {
            if(xOstatak > 0)
            {
                konacanBroj += xOstatak*konacanBrojac;
                konacanBrojac *= 10;
                konacanBroj += xOstatak*konacanBrojac;
                konacanBrojac *= 10;
            }
            else
            {
                konacanBroj += konacanBrojac;
                oduzimanje += konacanBrojac;
                konacanBrojac *= 10;
                konacanBroj += konacanBrojac;
                oduzimanje += konacanBrojac;
                konacanBrojac *= 10;
            }
        }
        if(x>0)
        {
            x -= xOstatak*(brojac/10);
        }
        if(y>0)
        {
            y -= yOstatak*(brojac/10);
        }
        brojac *= 10;
        if(x<=0 && y<=0)
        {
            break;
        }
    }
    konacanBroj -= oduzimanje;
    cout << konacanBroj;
}